Name:    ipcalc
Version: 1.0.3
Release: 1
Summary: IP network address calculator

License: GPL-2.0-or-later
URL:     https://gitlab.com/ipcalc/%{name}
Source0: %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc libmaxminddb-devel meson rubygem-ronn-ng

%description
ipcalc provides a simple way to calculate IP information for a host
or network. Depending on the options specified, it may be used to provide
IP network information in human readable format, in a format suitable for
parsing in scripts, generate random private addresses, resolve an IP address,
or check the validity of an address.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Duse_maxminddb=enabled -Duse_runtime_linking=enabled
%meson_build

%install
%meson_install

%check
HOSTNAME=`cat /etc/hosts | grep 127.0.0.1 | head -1| awk '{print $2}'`
sed -i 's/localhost/'$HOSTNAME'/g' tests/ip-localhost-ipv4
sed -i 's/localhost/'$HOSTNAME'/g' tests/ip-localhost-ipv4-json
%meson_test

%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/*

%files help
%defattr(-,root,root)
%doc README.md
%{_mandir}/man1/*

%changelog
* Sat Jul 15 2023 xinghe <xinghe2@h-partners.com> - 1.0.3-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update ipcalc to 1.0.3

* Tue Jan 31 2023 xinghe <xinghe2@h-partners.com> - 1.0.2-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update ipcalc to 1.0.2

* Wed Oct 19 2022 xinghe <xinghe2@h-partners.com> - 1.0.1-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: update description

* Mon Mar 21 2022 yanglu <yanglu72@h-partners.com> - 1.0.1-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update ipcalc to 1.0.1

* Thu Jan 28 2021 xihaochen <xihaochen@huawei.com> - 1.0.0-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC: update ipcalc to 1.0.0

* Sat Jul 25 2020 hanzhijun<hanzhijun1@huawei.com> - 0.4.1-1 
- update 0.4.1

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.2.5-1
- Package init
